/*********************************************************************
 This is an example from adafruit 
 MIT license, check LICENSE for more information
 All text above, and the splash screen below must be included in
 any redistribution

 This sketch implement part of Nordic custom LED Button Service (LBS).
  Install "nRF Blinky" app on your Android/iOS to control the on-board LED
 - https://apps.apple.com/us/app/nrf-blinky/id1325014347
 - https://play.google.com/store/apps/details?id=no.nordicsemi.android.nrfblinky

 Works with Xiao Nrf52840 sense MCU As-is. BSP 1.1.1 allows 2 simultanious connections 
 I used Nrf_desktop with Nordic $9 dongle and , Nrf_connect for android app. at the same time
 each able to control the LED on the Xiao and get notify of change.
*********************************************************************/

#include <bluefruit.h>
#include <Adafruit_FlashTransport.h>
Adafruit_FlashTransport_QSPI flashTransport;

//#define DO_SERIAL 1


BLEService VService("1816"); 
BLEService ADVService("00001816-0000-1000-8000-00805f9b34fb");

char user_data[10] = {0x22,0x08,0x33,0x34,0x35,0x36,0x0A,0x0};
char user_data2[2] = {0x16,0x180,0x41,0x42,0x43,0x44};

void setup()
{
  //  Serial.begin(9600);
  // while (!Serial);
  // Serial.println("starting");
  NRF_POWER->DCDCEN=1;  
  Bluefruit.begin(1, 0);  
  ADVService.begin();
  Bluefruit.autoConnLed(false);
  flashTransport.begin();
  flashTransport.runCommand(0xB9);
  flashTransport.end(); 
  startAdv();
}



void startAdv(void)
{
  Bluefruit.Advertising.clearData();// Advertising packet
  Bluefruit.setName("Viax");
  Bluefruit.setTxPower(8);
  Bluefruit.Advertising.addTxPower();
   
  Bluefruit.Advertising.addFlags(BLE_GAP_ADV_FLAGS_LE_ONLY_GENERAL_DISC_MODE );    
  Bluefruit.Advertising.addService(ADVService);
  Bluefruit.Advertising.addManufacturerData(user_data, 8);
  Bluefruit.Advertising.addData(BLE_GAP_AD_TYPE_SERVICE_DATA , user_data2,6);
  Bluefruit.Advertising.restartOnDisconnect(true);
  Bluefruit.Advertising.setInterval(1000, 1000);   
  Bluefruit.Advertising.setFastTimeout(5);      

  Bluefruit.Advertising.start(0);               
}

void loop()
{
    delay(1000); // poll button every 10 ms
 
}

